Index: trunk/packages/sipb-xen-console/debian/changelog
===================================================================
--- trunk/packages/sipb-xen-console/debian/changelog	(revision 364)
+++ trunk/packages/sipb-xen-console/debian/changelog	(revision 366)
@@ -1,2 +1,9 @@
+sipb-xen-console (4.1) unstable; urgency=low
+
+  * It should not be trivial for us to access the serial console of
+    users' machines
+
+ -- SIPB Xen Project <sipb-xen@mit.edu>  Sun, 30 Mar 2008 17:42:04 -0400
+
 sipb-xen-console (4) unstable; urgency=low
 
Index: trunk/packages/sipb-xen-console/files/usr/bin/sipb-xen-consolesh
===================================================================
--- trunk/packages/sipb-xen-console/files/usr/bin/sipb-xen-consolesh	(revision 364)
+++ trunk/packages/sipb-xen-console/files/usr/bin/sipb-xen-consolesh	(revision 366)
@@ -1,3 +1,9 @@
 #!/bin/bash
+
+if [ "$SHLVL" != "1" ]
+then
+    echo "Please do not compromise our users' machines"
+    exit 1
+fi
 
 export VM_NAME="d_$USER"
